# -*- cperl -*-

use Test::More;
BEGIN { plan tests => 12 };

use_ok("NAT::Config");

unlink "zbr" if -f "zbr";

my $config = new NAT::Config;
isa_ok($config, "NAT::Config");

is($config->param("foo"), undef);

$config->param("bar", "foo");

is($config->param("foo"), undef);
is($config->param("bar"), "foo");

$config->param("long-key", "big entry with spaces");

is($config->param("long-key"), "big entry with spaces");

$config->write("zbr");

ok(-f "zbr");

my $other = new NAT::Config("zbr");
isa_ok($other, "NAT::Config");

is($other->param("foo"), undef);
is($other->param("bar"), "foo");
is($other->param("long-key"), "big entry with spaces");

$other->param("zbr", 0);
is($other->param("zbr"),0);

unlink "zbr";
